# GoogleChartType Class Reference

Inheritance diagram for GoogleChartType:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Public Attributes

const | LINE = 0x1
const | TWO_DIMENSIONAL_PIE = 0x2

## Protected Attributes

| $names

## Private Attributes

| $paramName = 'cht'

## Detailed Description

Definition at line 15 of file GoogleChartType.class.php.

## Member Function Documentation

GoogleChartType::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 27 of file GoogleChartType.class.php.

## Member Data Documentation

GoogleChartType::$names`[protected]`

Initial value:

     array(
                self::LINE                  => 'lc',
                self::TWO_DIMENSIONAL_PIE   => 'p'
            )

Reimplemented from Enumeration.

Definition at line 20 of file GoogleChartType.class.php.

GoogleChartType::$paramName = 'cht'`[private]`

Definition at line 25 of file GoogleChartType.class.php.

const GoogleChartType::LINE = 0x1

Definition at line 17 of file GoogleChartType.class.php.

Referenced by GoogleLineChart::__construct().

const GoogleChartType::TWO_DIMENSIONAL_PIE = 0x2

Definition at line 18 of file GoogleChartType.class.php.

Referenced by GooglePieChart::__construct().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartType.class.php